## org.eclipse.wst.server.core.model
Interface IURLProvider

    public interface IURLProvider

An interface for a server delegate that can provide URLs for a module published to the server.

Since:
  1.0

Method Summary
`java.net.URL` `getModuleRootURL(IModule module)` Return the base URL of this module on the server.

Method Detail

### getModuleRootURL

    java.net.URL getModuleRootURL(IModule module)

  Return the base URL of this module on the server. (e.g. "http://localhost:8080/myProject")

  This method may return null if this server does not have a valid configuration or if the server is not running. The returned URL must not end in a trailing slash.

  If the module is null, the returned URL will just be to the root of the server (e.g. "http://localhost:8080")

  If the module is not already added to the server, the method will return as close an approximation as possible. (for instance, for a J2EE web project it may use the project's context root, which may not be the same when deployed to a server)

  Parameters:
    `module` - com.ibm.etools.server.core.IModule
  Returns:
    java.net.URL